<?php

$crumbs = (!empty($breadcrumbs['crumbs'])) ? $breadcrumbs['crumbs'] : [];
if (count($crumbs) > 1) {
	// shift off the home link
	array_shift($crumbs);

	$schemaPosition = 1;
} else {
	// leave the element
	return;
}

?>

<script type="application/ld+json">
	{"@context": "http://schema.org","@type": "BreadcrumbList","itemListElement": [
	<?php foreach ($crumbs as $breadcrumb) : ?>
		{"@type": "ListItem","position": <?= $schemaPosition ?>,"name": "<?= $breadcrumb['text'] ?>","item": "<?= $this->Html->url($breadcrumb['url'], true) ?>"}
		<?php $schemaPosition++; ?>
	<?php endforeach; ?>
	]}
</script>
